Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000016Zandronum[All Projects] Bugpublic2010-09-11 17:022018-09-30 19:48
ReporterAenima_ 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version98c 
Target VersionFixed in Version98d 
Summary0000016: Mapvoting (with intermission) during a Survival/LMS countdown results in failed map change
DescriptionIn an online game, if you call a vote to change the map (with intermission) during the countdown before the round starts and the vote passes, the map will not successfully change, and the player will not be able to map vote again for another 10 minutes. However, this does not happen if a player votes to changemap WITHOUT intermission.
Steps To ReproduceJoin any empty Survival Coop server with voting enabled. Join the game, and during the countdown, call a vote to change the map to MAP02 (for example) with intermission. Then vote yes. You'll see "VOTE PASSED!", but nothing happens. The countdown simply finishes and the round starts like it would as if no vote had ever been made. You'll still have to wait 10 minutes to vote again, though.

Reconnect to the server in 10 minutes, join the game, and during the countdown try calling a vote to change the map WITHOUT intermission. Vote yes, and the mapchange should be successful.
Attached Files

- Relationships
has duplicate 0000012closed map doesn't change after a changemap vote passed 

-  Notes
User avatar (0000048)
DarkStone45 (reporter)
2010-09-12 22:30

I can confirm this it happens in my SST server every time.
User avatar (0000054)
unknownna (updater)
2010-09-13 19:55
edited on: 2010-09-13 21:01

Confirmed.

It also ends up as a broken vote if you manage to pass a 'map change with intermission screen' vote before the survival countdown timer starts.

User avatar (0000086)
Torr Samaho (administrator)
2010-09-19 09:35
edited on: 2010-09-19 12:00

http://www.dailydoomer.com/tsst/misc/SkullDev98dChangeMapVoteSurvivalCountdownFixTest.7z [^] should fix the problems when the vote is passed while the countdown is active. The map change then is supposed to be delayed till the countdown ends.

The only case where I know that it doesn't work yet is when the vote passes before the countdown starts and then someone joins the game starting the countdown after the vote passed but before the map is changed.

EDIT:http://www.dailydoomer.com/tsst/misc/SkullDev98d-2931windows.7z [^] should fix the issue completely. Please test.

User avatar (0000090)
unknownna (updater)
2010-09-19 13:28

Seems to work now. If you manage to pass the vote before or in the middle of the countdown timer, The map change happens once the countdown has ended.
User avatar (0000091)
Torr Samaho (administrator)
2010-09-19 13:37

Thanks for testing! I'll consider this to be fixed then.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-09-11 17:02 Aenima_ New Issue
2010-09-12 22:29 Anonymous Note Added: 0000047
2010-09-12 22:29 Anonymous Note Deleted: 0000047
2010-09-12 22:30 DarkStone45 Note Added: 0000048
2010-09-13 19:55 unknownna Note Added: 0000054
2010-09-13 20:06 unknownna Note Edited: 0000054 View Revisions
2010-09-13 20:07 unknownna Note Edited: 0000054 View Revisions
2010-09-13 21:01 unknownna Note Edited: 0000054 View Revisions
2010-09-14 19:49 Torr Samaho Relationship added has duplicate 0000012
2010-09-19 09:35 Torr Samaho Note Added: 0000086
2010-09-19 09:35 Torr Samaho Assigned To => Torr Samaho
2010-09-19 09:35 Torr Samaho Status new => feedback
2010-09-19 12:00 Torr Samaho Note Edited: 0000086 View Revisions
2010-09-19 13:28 unknownna Note Added: 0000090
2010-09-19 13:37 Torr Samaho Note Added: 0000091
2010-09-19 13:37 Torr Samaho Status feedback => resolved
2010-09-19 13:37 Torr Samaho Fixed in Version => 98d
2010-09-19 13:37 Torr Samaho Resolution open => fixed
2012-06-09 13:22 Torr Samaho Category General => Bug
2018-09-30 19:48 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker